<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootswatch/4.4.1/flatly/bootstrap.min.css"
        crossorigin="anonymous">

    <title>{% block title %}{% endblock title %}</title>
</head>

<body>
    {# Navigation Menu #}
    <header>
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a class="nav-link" href="/">Home <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/news/">News</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/compress/">Compress</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/storage/">Cloud Storage</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/metadata/">Data</a>
                    </li>
                </ul>
                <form class="form-inline my-2 my-lg-0" action="" method="POST">
                    {% csrf_token %}
                    <input name="search" class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                    <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
                </form>
                {% if request.session.access_token == None %}
                <a class="btn btn-outline-success m-2" href="/auth/login">Login</a>
                {% else %}
                <a class="btn btn-outline-success m-2" href="/auth/logout">Logout</a>
                {% endif %}
                <!-- <li class="nav-item">
                    <a class="btn btn-outline-success my-2 my-sm-0" href="#">News</a>
                </li> -->
            </div>
        </nav>
    </header>
    {# The Document Body #}
    <div id="site-wrapper">
        <div class="row">
            <div class="col-3">
                <div class="card m-2">
                    <h1>
                        Hello {{ user_id }}
                    </h1>
                    <br>
                    {% block sidebar_content %}
                    {% endblock sidebar_content %}
                </div>
            </div>
            <div class="col-7">
                {% block content %}
                if you see this, something is wrong!
                {% endblock content %}
            </div>
            <div class="col-2">
                <div class="card">
                    
                </div>
            </div>
        </div>
    </div>
    {# The Footer #}
    <div class="footer">
        {% block footer %}
        {% endblock footer %}
    </div>
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>
    {% block script%}
    {% endblock %}
</body>

</html>